package gmodel

import (
	"gorm.io/gorm"
)

// fs_cloud_render_log 云渲染日志表
type FsCloudRenderLog struct {
	Id       int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // ID
	UserId   *int64  `gorm:"default:0;" json:"user_id"`                       // 用户id
	PostData *string `gorm:"default:'';" json:"post_data"`                    //
	PostUrl  *string `gorm:"default:'';" json:"post_url"`                     //
	Title    *string `gorm:"index;default:'';" json:"title"`                  //
	Time     *int64  `gorm:"default:0;" json:"time"`                          // 所用时间
	Result   *string `gorm:"default:'';" json:"result"`                       // 返回结果
	Tag      *string `gorm:"index;default:'';" json:"tag"`                    // 标识
	Ctime    *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
}
type FsCloudRenderLogModel struct {
	db   *gorm.DB
	name string
}

func NewFsCloudRenderLogModel(db *gorm.DB) *FsCloudRenderLogModel {
	return &FsCloudRenderLogModel{db: db, name: "fs_cloud_render_log"}
}
