package gmodel

import (
	"gorm.io/gorm"
	"time"
)

// fs_logo_cartoon logo底图表
type FsLogoCartoon struct {
	Id         int64      `gorm:"primary_key;default:0;auto_increment;" json:"id"`   // ID
	CategoryId *int64     `gorm:"default:0;" json:"category_id"`                     // 分类
	Name       *string    `gorm:"default:'';" json:"name"`                           //
	Url        *string    `gorm:"default:'';" json:"url"`                            //
	IsDel      *int64     `gorm:"default:0;" json:"is_del"`                          // 是否删除
	CreateTime *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"create_time"` //
	UpdateTime *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"update_time"` //
	DeleteTime *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"delete_time"` //
	CreateUid  *int64     `gorm:"default:0;" json:"create_uid"`                      // 创建人
	UpdateUid  *int64     `gorm:"default:0;" json:"update_uid"`                      // 更新人
	DeleteUid  *int64     `gorm:"default:0;" json:"delete_uid"`                      // 删除人
}
type FsLogoCartoonModel struct {
	db   *gorm.DB
	name string
}

func NewFsLogoCartoonModel(db *gorm.DB) *FsLogoCartoonModel {
	return &FsLogoCartoonModel{db: db, name: "fs_logo_cartoon"}
}
