package gmodel

import (
	"gorm.io/gorm"
)

// fs_merchant_category 商户类型表
type FsMerchantCategory struct {
	Id               int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // Id
	ZnName           *string `gorm:"default:'';" json:"zn_name"`                      // 中文名
	EnName           *string `gorm:"default:'';" json:"en_name"`                      // 英文名
	Icon             *string `gorm:"default:'';" json:"icon"`                         // 图标
	RecommendProduct *string `gorm:"default:'';" json:"recommend_product"`            // 推荐商品
	Sort             *int64  `gorm:"default:0;" json:"sort"`                          // 排序
	Status           *int64  `gorm:"default:0;" json:"status"`                        // 状态
	Ctime            *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
}
type FsMerchantCategoryModel struct {
	db   *gorm.DB
	name string
}

func NewFsMerchantCategoryModel(db *gorm.DB) *FsMerchantCategoryModel {
	return &FsMerchantCategoryModel{db: db, name: "fs_merchant_category"}
}
