package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_design_gather
type FsProductDesignGather struct {
	Id         int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	Sn         *string `gorm:"index;default:'';" json:"sn"`                     // 唯一标识
	UserId     *int64  `gorm:"index;default:0;" json:"user_id"`                 // 用户ID
	ProductId  *int64  `gorm:"index;default:0;" json:"product_id"`              // 产品ID
	TemplateId *int64  `gorm:"index;default:0;" json:"template_id"`             // 模型ID
	MaterialId *int64  `gorm:"index;default:0;" json:"material_id"`             // 材质ID
	SizeId     *int64  `gorm:"index;default:0;" json:"size_id"`                 // 尺寸ID
	OptionalId *int64  `gorm:"index;default:0;" json:"optional_id"`             // 选项ID
	Cover      *string `gorm:"default:'';" json:"cover"`                        // 封面图
	Info       *string `gorm:"default:'';" json:"info"`                         // 保留的设计信息
	Utime      *int64  `gorm:"default:0;" json:"utime"`                         // 更新时间
	Status     *int64  `gorm:"default:1;" json:"status"`                        // 状态位（1：显示，0：删除）
	ClientIp   *string `gorm:"default:'';" json:"client_ip"`                    // 客户端ip
	ClientNo   *string `gorm:"default:'';" json:"client_no"`                    // 客户端唯一标识
	InfoNew    *string `gorm:"default:'';" json:"info_new"`                     // 设计信息-改版
}
type FsProductDesignGatherModel struct {
	db   *gorm.DB
	name string
}

func NewFsProductDesignGatherModel(db *gorm.DB) *FsProductDesignGatherModel {
	return &FsProductDesignGatherModel{db: db, name: "fs_product_design_gather"}
}
