package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_template_element 云渲染配置表
type FsProductTemplateElement struct {
	Id                int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // id
	Title             *string `gorm:"default:'';" json:"title"`                        // 产品模板名称
	ProductTemplateId *int64  `gorm:"index;default:0;" json:"product_template_id"`     // 产品模型id
	Main              *string `gorm:"default:'';" json:"main"`                         // 废弃
	Second            *string `gorm:"default:'';" json:"second"`                       // 废弃
	Base              *string `gorm:"default:'';" json:"base"`                         // base
	Paper             *string `gorm:"default:'';" json:"paper"`                        // 废弃
	Spoon             *string `gorm:"default:'';" json:"spoon"`                        // 废弃
	Fork              *string `gorm:"default:'';" json:"fork"`                         // 废弃
	Toothpick         *string `gorm:"default:'';" json:"toothpick"`                    // 废弃
	Chopsticks        *string `gorm:"default:'';" json:"chopsticks"`                   // 废弃
	Shadow            *string `gorm:"default:'';" json:"shadow"`                       // shadow
	Cover             *string `gorm:"default:'';" json:"cover"`                        // 废弃
	Cover1            *string `gorm:"default:'';" json:"cover1"`                       // 废弃
	Mode              *string `gorm:"default:'';" json:"mode"`                         // 材质类型
	Light             *int64  `gorm:"default:0;" json:"light"`                         // 灯光组
	Rotation          *string `gorm:"default:'';" json:"rotation"`                     // 旋转
	Scale             *string `gorm:"default:'';" json:"scale"`                        // 缩放
	ModelP            *string `gorm:"default:'';" json:"model_p"`                      // 配件对应的云渲染贴图数据
	Refletion         *string `gorm:"default:'';" json:"refletion"`                    // 反射探头组
}
type FsProductTemplateElementModel struct {
	db   *gorm.DB
	name string
}

func NewFsProductTemplateElementModel(db *gorm.DB) *FsProductTemplateElementModel {
	return &FsProductTemplateElementModel{db: db, name: "fs_product_template_element"}
}
