package gmodel

import (
	"gorm.io/gorm"
)

// fs_user_info 用户信息表
type FsUserInfo struct {
	Id       int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // ID
	Module   *string `gorm:"default:'';" json:"module"`                       // 所属模块
	UserId   *int64  `gorm:"index;default:0;" json:"user_id"`                 // 用户 ID
	GuestId  *int64  `gorm:"index;default:0;" json:"guest_id"`                // 访客 ID
	Metadata *string `gorm:"default:'';" json:"metadata"`                     // 元数据,json格式
	MetaKey1 *string `gorm:"default:'';" json:"meta_key1"`                    // 需要关键信息查询的自定义属性1,可以动态增加
	Ctime    *int64  `gorm:"default:0;" json:"ctime"`                         //
	Utime    *int64  `gorm:"default:0;" json:"utime"`                         //
}
type FsUserInfoModel struct {
	db   *gorm.DB
	name string
}

func NewFsUserInfoModel(db *gorm.DB) *FsUserInfoModel {
	return &FsUserInfoModel{db: db, name: "fs_user_info"}
}
