// Code generated by goctl. DO NOT EDIT.
package types

import (
	"fusenapi/utils/basic"
)

type GetModelDetailReq struct {
	ModelId int64 `form:"model_id"`
}

type GetModelDetailRsp struct {
	Tag              int64       `json:"tag"`
	ProductModelInfo interface{} `json:"product_model_info"`
}

type GetModelOtherInfoReq struct {
	ProductId int64 `form:"product_id,optional"`
}

type GetModelOtherInfoRsp struct {
	LightList []LightListItem `json:"light_list"`
	PartList  []PartListItem  `json:"part_list"`
}

type LightListItem struct {
	Id   int64       `json:"id"`
	Name string      `json:"name"`
	Info interface{} `json:"info"`
}

type PartListItem struct {
	Id          int64       `json:"id"`
	Name        string      `json:"name"`
	MaterialImg string      `json:"material_img"`
	ModelInfo   interface{} `json:"model_info"`
}

type UpdateProductModelReq struct {
	ModelData ModelData `json:"modelData"`
	LightData LightData `json:"lightData"`
}

type LightData struct {
	Id   int64     `json:"id"`
	Name string    `json:"name"`
	Info LightInfo `json:"info"`
}

type LightInfo struct {
	Name      string                   `json:"name"`
	Hdr       map[string]interface{}   `json:"hdr"`
	LightData []map[string]interface{} `json:"lightData"`
}

type ModelData struct {
	Id             int64                  `json:"id"`
	Name           string                 `json:"name"`
	KnifeTerritory string                 `json:"knifeTerritory"`
	Cover          string                 `json:"cover"`
	CameraData     map[string]interface{} `json:"cameraData"`
	ControlsData   map[string]interface{} `json:"controlsData"`
	Material       map[string]interface{} `json:"material"`
	ModelData      map[string]interface{} `json:"modelData"`
	LightList      []int64                `json:"lightList"`
	Parts          int64                  `json:"parts"`
	PartsList      []int64                `json:"partsList"`
	Tag            int64                  `json:"tag"`
	LightData      int64                  `json:"lightData"`
}

type UpdateProductModelRsp struct {
	ModelId   int64   `json:"modelId"`
	LightId   int64   `json:"lightId"`
	LightList []int64 `json:"lightList"`
}

type Request struct {
}

type Response struct {
	Code    int         `json:"code"`
	Message string      `json:"msg"`
	Data    interface{} `json:"data"`
}

type Auth struct {
	AccessSecret string `json:"accessSecret"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type File struct {
	Filename string              `fsfile:"filename"`
	Header   map[string][]string `fsfile:"header"`
	Size     int64               `fsfile:"size"`
	Data     []byte              `fsfile:"data"`
}

type Meta struct {
	TotalCount  int64 `json:"totalCount"`
	PageCount   int64 `json:"pageCount"`
	CurrentPage int   `json:"currentPage"`
	PerPage     int   `json:"perPage"`
}

// Set 设置Response的Code和Message值
func (resp *Response) Set(Code int, Message string) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
	}
}

// Set 设置整个Response
func (resp *Response) SetWithData(Code int, Message string, Data interface{}) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
		Data:    Data,
	}
}

// SetStatus 设置默认StatusResponse(内部自定义) 默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatus(sr *basic.StatusResponse, data ...interface{}) *Response {
	newResp := &Response{
		Code: sr.Code,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}

// SetStatusWithMessage 设置默认StatusResponse(内部自定义) 非默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatusWithMessage(sr *basic.StatusResponse, msg string, data ...interface{}) *Response {
	newResp := &Response{
		Code:    sr.Code,
		Message: msg,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}
