package handler

import (
	"net/http"
	"reflect"

	"fusenapi/utils/basic"

	"fusenapi/server/product-template/internal/logic"
	"fusenapi/server/product-template/internal/svc"
	"fusenapi/server/product-template/internal/types"
)

func GetTemplatevDetailHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.GetTemplatevDetailReq
		userinfo, err := basic.RequestParseBackend(w, r, svcCtx, &req)
		if err != nil {
			return
		}

		// 创建一个业务逻辑层实例
		l := logic.NewGetTemplatevDetailLogic(r.Context(), svcCtx)

		rl := reflect.ValueOf(l)
		basic.BeforeLogic(w, r, rl)

		resp := l.GetTemplatevDetail(&req, userinfo)

		if !basic.AfterLogic(w, r, rl, resp) {
			basic.NormalAfterLogic(w, r, resp)
		}
	}
}
