// Code generated by goctl. DO NOT EDIT.
package types

import (
	"fusenapi/utils/basic"
)

type CartAddReq struct {
	DesignId string `json:"design_id"` //设计sn
	BuyNum   int64  `json:"buy_num"`   //购买数量
	IsCheck  int64  `json:"is_check,optional"`
}

type CartDeleteReq struct {
	Id int64 `json:"id"`
}

type CartNumberRsp struct {
	Num int64 `json:"num"`
}

type CartListReq struct {
	Size uint32 `form:"size"`
}

type CartListRsp struct {
	Id        int64         `json:"id"`
	Cover     string        `json:"cover"`
	Name      string        `json:"name"`
	Capacity  string        `json:"capacity"`
	ETA       string        `json:"ETA"`
	Pcs       int64         `json:"pcs"`
	ProductSn string        `json:"product_sn"`
	DesignSn  string        `json:"designSn"`
	Option    *CartOption   `json:"option"`
	IsCheck   int64         `json:"is_check"`
	TsTime    string        `json:"ts_time"`
	PcsList   []*PcsItem    `json:"pcs_list"`
	Size      *CartSizeItem `json:"size"`
}

type CartOption struct {
	Id    int64   `json:"id"`
	Title string  `json:"title"`
	Price float64 `json:"price"`
}

type PcsItem struct {
	Num      int64   `json:"num"`
	TotalNum int64   `json:"total_num"`
	Title    string  `json:"title"`
	Price    float64 `json:"price"`
}

type CartSizeItem struct {
	Cm   string `json:"cm"`
	Inch string `json:"inch"`
}

type CartOrderDetailReq struct {
	Sn string `form:"sn"`
}

type CartOrderDetailRsp struct {
	DeliveryMethod int64             `json:"delivery_method"`
	AddressId      int64             `json:"address_id"`
	PayTime        string            `json:"pay_time"`
	PayMethod      int64             `json:"pay_method"`
	PayStep        int64             `json:"pay_step"`
	Subtotal       string            `json:"subtotal"`
	Total          string            `json:"total"`
	Remaining      string            `json:"remaining"`
	AddrList       []*CartAddr       `json:"addr_list"`
	Items          []*CartDetailItem `json:"items"`
}

type CartDetailItem struct {
	Cover  string `json:"cover"`
	Pcs    int64  `json:"pcs"`
	Amount string `json:"amount"`
	Option string `json:"option"`
	Size   string `json:"size"`
	Name   string `json:"name"`
}

type CartAddr struct {
	Id        int64  `json:"id"`
	Name      string `json:"name"`
	FirstName string `json:"first_name"`
	LastName  string `json:"last_name"`
	Mobile    string `json:"mobile"`
	Street    string `json:"street"`
	Suite     string `json:"suite"`
	City      string `json:"city"`
	State     string `json:"state"`
	ZipCode   string `json:"zip_code"`
	IsDefault int64  `json:"is_default"`
}

type ChangeOrderMethodReq struct {
	Sn             string `json:"sn"`
	DeliveryMethod int64  `json:"delivery_method , options=1|2"`
	AddressId      int64  `json:"address_id"`
	PayMethod      int64  `json:"pay_method"`
}

type CreateOrderReq struct {
	Form []OrderFormItem `json:"form"`
}

type OrderFormItem struct {
	Id  int64 `json:"id"`
	Num int64 `json:"num"`
}

type CreateOrderRsp struct {
	Sn string `json:"sn"`
}

type Request struct {
}

type Response struct {
	Code    int         `json:"code"`
	Message string      `json:"msg"`
	Data    interface{} `json:"data"`
}

type Auth struct {
	AccessSecret string `json:"accessSecret"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type File struct {
	Filename string              `fsfile:"filename"`
	Header   map[string][]string `fsfile:"header"`
	Size     int64               `fsfile:"size"`
	Data     []byte              `fsfile:"data"`
}

type Meta struct {
	TotalCount  int64 `json:"totalCount"`
	PageCount   int64 `json:"pageCount"`
	CurrentPage int   `json:"currentPage"`
	PerPage     int   `json:"perPage"`
}

// Set 设置Response的Code和Message值
func (resp *Response) Set(Code int, Message string) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
	}
}

// Set 设置整个Response
func (resp *Response) SetWithData(Code int, Message string, Data interface{}) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
		Data:    Data,
	}
}

// SetStatus 设置默认StatusResponse(内部自定义) 默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatus(sr *basic.StatusResponse, data ...interface{}) *Response {
	newResp := &Response{
		Code: sr.Code,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}

// SetStatusWithMessage 设置默认StatusResponse(内部自定义) 非默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatusWithMessage(sr *basic.StatusResponse, msg string, data ...interface{}) *Response {
	newResp := &Response{
		Code:    sr.Code,
		Message: msg,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}
